Bug 445184 - Please release the builds from koji
Please release the builds from koji
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-05 05:44 EDT by Reindl Harald
Modified: 2008-08-20 13:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-18 20:52:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Reindl Harald 2008-05-05 05:44:17 EDT
Please make a php 5.2.6 build for F7/F8
It was a long long time until this release with much known open bugs in the
meantime, especially security fixes
Comment 1 Bug Zapper 2008-05-14 11:28:29 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Reindl Harald 2008-05-16 12:23:44 EDT
Why does nobody push the packages to updates?
Its a big problem on a public webserver running an outdated php because the
delay for 5.2.6 from php.net was also too long and now after release it wont
come to the machines :-(

http://koji.fedoraproject.org/koji/buildinfo?buildID=48454
http://koji.fedoraproject.org/koji/buildinfo?buildID=48457
http://koji.fedoraproject.org/koji/buildinfo?buildID=48464
Comment 3 Reindl Harald 2008-06-01 18:30:38 EDT
Sorry, but another reminder
There is no php 5.2.6 on the repo-servers
http://download.fedora.redhat.com/pub/fedora/linux/updates/9/x86_64/

Can anybody say what here goes wrong?
An external repo has the packages with some additional extensions and some from
fedora missing - It would be a good idea work togehter with this developer

http://rpms.famillecollet.com/fc9.x86_64/
Comment 4 Christoph Wickert 2008-06-10 07:31:20 EDT
Joe, what is going on here? Are you going to release 5.2.6? Packages have been
build more than a month ago but AFAICS you did not even put them into bodhi.
Comment 5 David 2008-06-14 00:09:06 EDT
I seen these for F7, F8 and F9 and I signed all three as working in bodhi /
fedora admin...

All 3 have a karma of +4!!

https://admin.fedoraproject.org/updates/F7/FEDORA-2008-1734
https://admin.fedoraproject.org/updates/F8/FEDORA-2008-3864
https://admin.fedoraproject.org/updates/F9/FEDORA-2008-3606
Comment 6 Christoph Wickert 2008-06-28 09:40:09 EDT
I wonder why I could not find these in bodhi. As obviously updates for all
releases have been pushed can you please close the bug, Joe?
Comment 7 petrosyan 2008-08-18 20:52:46 EDT
closing as requested in comment #6
Comment 8 Christoph Wickert 2008-08-19 04:47:44 EDT
Although the problem is fixed I'd like to point out that I find it completely unacceptable that a security critical bug is 
- NEW for more than 15 weeks and
- flagged NEEDINFO for 10 weeks
without any response. :(
Comment 9 Joe Orton 2008-08-19 15:31:20 EDT
If you want things to go faster, you can:

1) help research PHP security issues
2) help write up the security advisory text which accurately describes each issue fixed and the impact on users 
3) help write test cases
4) help out by doing thorough QA of PHP packages in testing and write up what QA you have done

Currently the only feedback for updates is:

a) whining
b) bodhi karma from a set of comments like "it works!"

Neither of these are much use to actually getting the updates shipped.
Comment 10 Christoph Wickert 2008-08-20 13:33:51 EDT
Correct me if I'm wrong, but none of the things you mention has anything to do with you not responding at all to this bug previously.

Note You need to log in before you can comment on or make changes to this bug.